
Smart Proxy - Feature #8046

Add an infoblox provider for dns/dhcp

10/23/2014 05:00 AM - Ohad Levy

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1155811 Red Hat JIRA:  

Pull request:    

Description

As a user, I would like to manage dhcp/dns/ipam using my infoblox applience.

I've seen that a rubygem already exists at https://github.com/govdelivery/infoblox

Related issues:

Related to Foreman - Feature #10156: Infoblox IPAM Smart Proxy Duplicate 04/16/2015

Associated revisions

Revision fa3178a0 - 06/17/2015 07:37 AM - Klaas Demter 

refs #8046: Add possibility for providers to overwrite find_record to load single records

History

#1 - 10/23/2014 05:07 AM - Dominic Cleal

- Category set to DHCP

#2 - 10/23/2014 05:10 AM - Ohad Levy

- Category deleted (DHCP)

note, its not only dhcp, but also dns and potentially ipam.

#3 - 10/23/2014 05:15 AM - Dominic Cleal

Sure, was just setting it so I could find it easily later.  IPAM is part of DHCP anyway.

#4 - 10/23/2014 05:30 AM - Dominic Cleal

- Bugzilla link set to 1155811

#5 - 06/02/2015 10:00 AM - Klaas D

- Related to Feature #10156: Infoblox IPAM Smart Proxy added

#6 - 06/02/2015 10:04 AM - Klaas D

has anyone started working on this? I'll need this for a new foreman instance and I'd like to start on it and maybe collaborate with someone who

knows more about smart proxies and I do :D

#7 - 06/03/2015 02:12 AM - Ohad Levy

Klaas Demter wrote:

has anyone started working on this? I'll need this for a new foreman instance and I'd like to start on it and maybe collaborate with someone who

knows more about smart proxies and I do :D

 AFAIK - no. you are most welcome to join #theforeman-dev or using the mailing list for questions.

I would also suggest to share code early, so we can review and provide feedback.
If you do decide to work on it, please assign the issue to you, thanks!

#8 - 06/12/2015 08:55 AM - Klaas D

I started with a first proposal, it does work in my environment but its slow (30secs for a /21 network) - I also changed the infoblox gem a little, those

pull requests are already open - so if you want to try it check those

https://github.com/Klaas-/smart-proxy/tree/infoblox_support

I would be happy to hear feedback and any clever ideas to speed it up :)

#9 - 06/15/2015 11:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/290 added

- Pull request deleted ()

#10 - 06/17/2015 09:49 AM - Klaas D

Okay, the changes to infoblox gem are upstream - the author was very helpful and he even said he may make his gem ruby 1.8.7 compatible :)

for now it needs ruby 1.9.3 & infoblex gem 0.3.3 if anyone wants to test it or give feedback:

https://github.com/Klaas-/smart-proxy/tree/infoblox_support

with the changes to allow lookup of single records its actually acceptable fast for my purposes :)

#11 - 06/19/2015 07:11 AM - Klaas D

the author of the infoblox gem made it 1.8.7 compatible so the latest commit should be working fine on 1.8.7 with infoblox gem >= 0.4.1, I'll make a

pull request :)

#12 - 07/01/2015 07:35 AM - Anonymous

Also see https://github.com/theforeman/smart-proxy/pull/295 where infoblox support for dhcp is implemented.

#13 - 02/03/2016 10:31 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to New

Since the PRs were closed because they should be rewritten to providers so setting back to New.

#14 - 03/30/2016 03:02 PM - Matt Nicholson

So I just created this this morning (and just mailed the foreman-users list about it)

[[https://github.com/sjoeboo/smart_proxy_dns_infoblox]]

its an installable gem as well @ the moment.

I'd appreciate feedback/issues/PR's for it!

Hoping to take a stab at a dhcp provider soon, as I need both of these.

#15 - 04/29/2016 03:58 AM - Klaas D

I took another stab at the dhcp part and this is my first version: https://github.com/Klaas-/smart_proxy_dhcp_infoblox

#16 - 05/01/2016 12:14 PM - Anonymous

- Status changed from New to Resolved

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/290)

This is available via plugins now:

https://github.com/sjoeboo/smart_proxy_dhcp_infoblox

https://github.com/sjoeboo/smart_proxy_dns_infoblox

#17 - 05/01/2016 07:41 PM - Ohad Levy

Michael Moll wrote:

This is available via plugins now:

https://github.com/sjoeboo/smart_proxy_dhcp_infoblox

https://github.com/sjoeboo/smart_proxy_dns_infoblox
 Awesome! I didn't know DHCP one exists already:)
